Reason to update from 6.2?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by Runehasa, Apr 25, 2019.

  1. Runehasa
    OP

    Runehasa GBAtemp Regular

    Member
    5
    Oct 12, 2007
    United States
    Ohio
    Any reason or reason not to update from 6.2 to the latest 8.x firmware? I currently care about NSP games/Retroarch/Tinfoil/and Home menu Themes
     
  2. OkazakiTheOtaku

    OkazakiTheOtaku no thanks, I don't want a custom title

    Member
    8
    Jul 20, 2016
    Japan
    127.0.0.1
    I couldn't get the newest Smash update to work on 6.2, even after using reNXpack, so there's that. Works on 7.0.1 though.
     
  3. natkoden

    natkoden GBAtemp Maniac

    Member
    6
    Jul 25, 2006
    Argentina
    none
     
    maxx488 likes this.
  4. Hayato213

    Hayato213 GBAtemp Psycho!

    Member
    10
    Dec 26, 2015
    United States
    Now a day as newer games come out some of the games with the ignore firmware method would no longer work, but there is the option of repacking games. If you don't want to repack, or repack doesn't work, then you should update your firmware via choidujourNX.
     
  5. Grmmish

    Grmmish GBAtemp Fan

    Member
    4
    Sep 6, 2018
    United States
    ^ what Hayato said.
    I went to get MOrtal Kombat 11 and Dragon's Dogma and those do not work on that firmware. Same with certain updates and such. I was on 6.2 since it came out and updated yesterday.
     
  6. mrdude

    mrdude GBAtemp Advanced Fan

    Member
    6
    Dec 11, 2015
    Just keep sysnand on 6.2 and put emunand on 7.01 - that way you can play pretty much everything.
     
  7. OkazakiTheOtaku

    OkazakiTheOtaku no thanks, I don't want a custom title

    Member
    8
    Jul 20, 2016
    Japan
    127.0.0.1
    Repacking works well most of the time, but in some cases it won't work (see: smash 3.0.0 on 6.x. The repacking succeeds but when the game launches it freezes on the menu.)
    Also, being that 8.0.0 didn't introduce a new master key, I don't believe there is a reason to be on 8.x rather than 7.x. That said, there isn't a downside so it doesn't really matter.
     
  8. Runehasa
    OP

    Runehasa GBAtemp Regular

    Member
    5
    Oct 12, 2007
    United States
    Ohio
    Do themes still work on 8.0 with the theme installer? Heard rumor that they didnt
     
  9. Hayato213

    Hayato213 GBAtemp Psycho!

    Member
    10
    Dec 26, 2015
    United States
    From words going around it doesn't work.
     
  10. Runehasa
    OP

    Runehasa GBAtemp Regular

    Member
    5
    Oct 12, 2007
    United States
    Ohio
    So sounds like 7.0.1 would be the "Golden Firmware"?
     
  11. Hayato213

    Hayato213 GBAtemp Psycho!

    Member
    10
    Dec 26, 2015
    United States
    Pretty much at the moment, until games require higher firmware.
     
  12. smf

    smf GBAtemp Psycho!

    Member
    9
    Feb 23, 2009
    Doesn't that depend on if you're the type of person who has to have a theme installed?
     
  13. maxx488

    maxx488 GBAtemp Regular

    Member
    4
    Jun 15, 2018
    Argentina
    Then how am I playing mk11 with all dlc and 1.0.2 upd on 6.2? Dont give false advice please, you not being able to do it does not mean it cant be done.
     
  14. Tumbleweed

    Tumbleweed Member

    Newcomer
    2
    Jul 29, 2018
    Italy
    I came here exactly because of that game... Actually I never used anything aside SX OS/HomeBrew and emulators... So I was kind of feeling unconfident in updating my firmware manually with choidojour and ofc I would need to do a sysnand backup of my current 6.2 which I currently don't have it... Is there a way to bypass that? I've heard about tinfoil and nsp install or something like that... Any info would be appreciated
     
  15. ModderFokker619

    ModderFokker619 GBAtemp Advanced Fan

    Member
    5
    Oct 2, 2015
    United States
    California

    Backup nand and boot 0/1 - Save backup to computer when done

    Update to 7.01 without burning fuses

    Update TX to 2.61/2 if you haven't already

    Anything goes wrong you can recover your 6.2 nand backup
     
    Tumbleweed likes this.
  16. Grmmish

    Grmmish GBAtemp Fan

    Member
    4
    Sep 6, 2018
    United States
    Let me rephrase:
    I do not use applications that make other applications firmware-ignorant so updating is required if you are me.
    If you do NOT use those applications and it works... I simply do not know how you are playing it. ?_?
     
    Last edited by Grmmish, Apr 26, 2019
  17. maxx488

    maxx488 GBAtemp Regular

    Member
    4
    Jun 15, 2018
    Argentina
    Just run the nsp's through reNXpack and install them using the "unsigned code" option in sx installer.
    Master key 7 is required for reNXpack to convert mk11 nsp's to lower firmwares. You can google the key if you dont have it.
     
    Tumbleweed likes this.
Loading...